Bug 1082832 - RFE: make whitelist and blacklist config options instead of hard coded
Summary: RFE: make whitelist and blacklist config options instead of hard coded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mash
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-31 22:36 UTC by Kevin Fenzi
Modified: 2015-07-23 19:14 UTC (History)
4 users (show)

Fixed In Version: mash-0.6.16-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-23 08:58:21 UTC


Attachments (Terms of Use)
Reorganize the multilib method init to accept the full config. (4.09 KB, patch)
2014-04-02 17:58 UTC, Ralph Bean
no flags Details | Diff
Make blacklist/whitelist into config values. (2.90 KB, patch)
2014-04-02 17:58 UTC, Ralph Bean
no flags Details | Diff

Description Kevin Fenzi 2014-03-31 22:36:08 UTC
Right now mash has a blacklist and whitelists that are hard coded into the multilib.py file. There are different types of multilib that it has different lists for, so this may need to be multiple options. 

...
        blacklist = [ 'tomcat-native' ]
        whitelist = [ 'libgnat', 'wine', 'lmms-vst', 'nspluginwrapper', 'libflashsupport', 'valgrind', 'perl-libs', 'redhat-lsb', 'yaboot' ]

...
        blacklist = ['dmraid-devel', 'kdeutils-devel', 'mkinitrd-devel', 'java-1.5.0-gcj-devel', 'java-1.7.0-icedtea-devel', 'php-devel', 'java-1.6.0-openjdk-devel',
                     'java-1.7.0-openjdk-devel', 'java-1.8.0-openjdk-devel' ]
...

It would be nice to have this as config options so they could be adjusted without having to rebuild the package.

Comment 1 Ralph Bean 2014-04-02 17:58:31 UTC
Created attachment 881932 [details]
Reorganize the multilib method init to accept the full config.

Comment 2 Ralph Bean 2014-04-02 17:58:56 UTC
Created attachment 881933 [details]
Make blacklist/whitelist into config values.

Comment 3 Ralph Bean 2014-07-16 17:12:06 UTC
These patches no longer apply cleanly.

Rebased versions of them were sent to the rel-eng list:  https://lists.fedoraproject.org/pipermail/rel-eng/2014-July/018149.html

Comment 4 Ralph Bean 2015-01-29 20:54:24 UTC
Rebased and sent to the list again.  https://lists.fedoraproject.org/pipermail/rel-eng/2015-January/019256.html

Comment 6 Luke Macken 2015-03-19 22:58:23 UTC
+1, the patch looks good to me.

So this would allow for bodhi (eventually koji?) to pass in custom multilib black/whitelists, but where would it get the list from? Is this something that can be automatically generated or is it updated purely on a case-by-case basis?

Comment 7 Ralph Bean 2015-04-27 14:28:53 UTC
Filed a rel-eng meeting ticket to try and have this addressed:  https://fedorahosted.org/rel-eng/ticket/6163

Comment 8 Ralph Bean 2015-04-28 14:04:58 UTC
Pinged on the buildsys list:  https://lists.fedoraproject.org/pipermail/buildsys/2015-April/004647.html

Comment 9 Peter Robinson 2015-04-29 15:10:02 UTC
(In reply to Ralph Bean from comment #4)
> Rebased and sent to the list again. 
> https://lists.fedoraproject.org/pipermail/rel-eng/2015-January/019256.html

They don't appear to be available against either of the above linked rel-eng lists, presumably they were attached vs inline and hence lost by the list tools. Any chance to get the latest attached here or sent inline to the list?

Comment 10 Dennis Gilmore 2015-04-29 18:21:38 UTC
updated patches applied upstream

Comment 11 Fedora Update System 2015-04-29 18:55:09 UTC
mash-0.6.14-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mash-0.6.14-1.fc22

Comment 12 Fedora Update System 2015-04-29 18:56:09 UTC
mash-0.6.14-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mash-0.6.14-1.el7

Comment 13 Fedora Update System 2015-04-29 18:57:08 UTC
mash-0.6.14-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mash-0.6.14-1.el6

Comment 14 Fedora Update System 2015-04-30 17:13:00 UTC
Package mash-0.6.14-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mash-0.6.14-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6084/mash-0.6.14-1.el7
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-07-23 08:58:21 UTC
mash-0.6.16-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-07-23 19:10:59 UTC
mash-0.6.16-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-07-23 19:14:36 UTC
mash-0.6.16-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.